Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jChatBox.Service
Class ModeratorProcessor

    java.lang.Object
      |
      +--jChatBox.Service.SystemProcessor
            |
            +--jChatBox.Service.ModeratorProcessor

Direct Known Subclasses:
  UserProcessor

public class ModeratorProcessor
extends SystemProcessor

This class handles all SYSTEM and MODERATOR HttpRequests once logged.

Field Summary

Fields inherited from class jChatBox.Service.SystemProcessor
`_commands`

Constructor Summary
`ModeratorProcessor()` Dummy constructor.

Method Summary
`java.lang.String` | `checkSystemLogin(javax.servlet.http.HttpSession session)` Checks if SYSTEM or MODERATOR user is logged.
`java.lang.String` | `execute(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpSession session, javax.servlet.ServletContext application)` Processes all SYSTEM and MODERATOR actions.
`UserCommand` | `getCommand()` Returns command instance.
`java.lang.String` | `getSysMessage(javax.servlet.http.HttpSession session)` Returns message or error.
`void` | `setSysMessage(javax.servlet.http.HttpSession session, java.lang.String message)` Sets message or error.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModeratorProcessor

    public ModeratorProcessor()

  Dummy constructor.

Method Detail

### execute

    public java.lang.String execute(javax.servlet.http.HttpServletRequest request,
                                    javax.servlet.http.HttpSession session,
                                    javax.servlet.ServletContext application)

  Processes all SYSTEM and MODERATOR actions.
  OPENCHATROOM(name,subject,maxusers,history,mode,looknfeel,refreshlimit,refreshmodel,private,language,filtersid)
  CLEARCHATROOM(id)
  CLOSECHATROOM(id)
  UPDATECHATROOM(subject,history,refreshlimit,refreshmodel,private,language,filtersid)
  GENERATETRANSCRIPT(id,filename)
  MANAGE()
  BAN(username,id,reason)
  BANIP(ip,id,reason)
  KICKOFF(username,id)
  CLEAR(id)
  REMOVE(id,ip,reason)
  JOIN(id,session)

  Overrides:
    `execute` in class `SystemProcessor`

### checkSystemLogin

    public java.lang.String checkSystemLogin(javax.servlet.http.HttpSession session)

  Checks if SYSTEM or MODERATOR user is logged.
  SYSTEM or MODERATOR user is logged if ChatroomUser is attached to HttpSession and ChatroomUser's type is SYSTEM or MODERATOR.

  Overrides:
    `checkSystemLogin` in class `SystemProcessor`

### setSysMessage

    public void setSysMessage(javax.servlet.http.HttpSession session,
                              java.lang.String message)

  Sets message or error.

  Overrides:
    `setSysMessage` in class `SystemProcessor`

### getSysMessage

    public java.lang.String getSysMessage(javax.servlet.http.HttpSession session)

  Returns message or error.

  Overrides:
    `getSysMessage` in class `SystemProcessor`

### getCommand

    public UserCommand getCommand()

  Returns command instance.

  Overrides:
    `getCommand` in class `SystemProcessor`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD